math.randomseed(os.time())

local LG, LA = love.graphics, love.audio

local PHYS  = require("extlibs/windfield")
local sfxr  = require("extlibs/sfxr") 
local Timer = require("extlibs/timer")

local Predeterminado = require("src/jugador/Predeterminado")

function love.load()
  filtro = "nearest"
  LG.setDefaultFilter(filtro, filtro)
  
  mundo      = PHYS.newWorld(0, 0, true)
  
  jugador = Predeterminado:new(mundo, 640, 360, 72)
  
end

function love.keypressed(key)
    if key == "f2" then
        local name = "nacho"..os.time()..".png"
        local screenshot = love.graphics.captureScreenshot(name)
        print("successfully saved as: "..name)
    end
end

function love.draw()
    love.graphics.circle("fill", 400, 300, 200)
end

function love.update(dt)
  LG.setColor(1,0,0,1)
  mundo:update(dt)
  jugador:actualizar()
end

function love.draw()
  
  mundo:draw() -- The world can be drawn for debugging purposes
  jugador:dibujar()
end